<!doctype html>
<html lang="de">
	<head>
		<meta charset="utf-8" />
		<title>Vorlage 2</title>
	</head>
	<body>
		<h2>Handlebars Template</h2>
		<pre>
			<code id="handlebars-Template">
{{#with books}}
	&lt;p&gt;{{this.length}} Bücher stehen bereit&lt;/p&gt;
{{/with}}
			</code>
		</pre>
		<p><h2>Bücherliste</h2><div id="bookList">Keine Bücher geladen</div></p>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/3.0.1/handlebars.js"></script>
		<script src="vorlage2-server.js"></script>
		<script>
			(function($) {

				var input = $('#handlebars-Template');
				var bookList = $('#bookList');

				function renderHTML(books) {
					// compile the actual Template data
					var templateFunction = Handlebars.compile(input.text());

					// generate some HTML code from the compiled Template
					var generatedHtml = templateFunction(books);

					// write down generated HTML to DOM
					bookList.html(generatedHtml);
				}

				$(function() {
					// TODO Implementieren Sie hier...
				});
			})(jQuery);
		</script>
	</body>
</html>